### experimental::promise< void(Ts...), Executor >

    template<
        typename... Ts,
        typename Executor>
    struct promise< void(Ts...), Executor >

##### Types

Name | Description
--- | ---
promise< void(Ts...), Executor >::rebind_executor | Rebinds the promise type to another executor.

##### Member Functions

Name | Description
--- | ---
async_wait | Wait for the promise to become ready.
cancel | Cancel the promise. Usually done through the destructor.
complete | Check if the promise is completed already.
get_executor | Get the executor of the promise.
promise |
~promise [destructor] |

##### Requirements

Header: `asio/experimental/promise.hpp`

Convenience header: None